classdef ElectricalSeriesIOTest < tests.system.PyNWBIOTest
    
    methods
        function addContainer(testCase, file) %#ok<INUSL>
            dev = types.core.Device();
            file.general_devices.set('dev1', dev);
            
            egnm = 'tetrode1';
            eg = types.core.ElectrodeGroup( ...
                'description', 'tetrode description', ...
                'location', 'tetrode location', ...
                'device', types.untyped.SoftLink(dev));
            
            electrodes = util.createElectrodeTable();
            for i = 1:4
                electrodes.addRow(...
                    'x', 1, 'y', 2, 'z', 4,...
                    'imp', 1,...
                    'location', {'CA1'},...
                    'filtering', 0,...
                    'group', types.untyped.ObjectView(eg), 'group_name', {egnm});
            end
            file.general_extracellular_ephys_electrodes = electrodes;
            
            file.general_extracellular_ephys.set(egnm, eg);
            es = types.core.ElectricalSeries( ...
                'data', [0:9;10:19], ...
                'timestamps', (0:9) .', ...
                'electrodes', ...
                types.hdmf_common.DynamicTableRegion(...
                'data', [0;2],...
                'table', types.untyped.ObjectView(electrodes),...
                'description', 'the first and third electrodes'));
            file.acquisition.set('test_eS', es);
        end
        
        function c = getContainer(testCase, file) %#ok<INUSL>
            c = file.acquisition.get('test_eS');
        end
    end
end

