function table = createElectrodeTable()
table = types.hdmf_common.DynamicTable(...
    'description', 'A table of all electrodes (i.e. channels) used for recording.', ...
    'colnames', {'x', 'y', 'z', 'imp', 'location', 'filtering', 'group', 'group_name'},...
    'id', types.hdmf_common.ElementIdentifiers('data', []),...
    'x', types.hdmf_common.VectorData('data', [],...
        'description', 'the x coordinate of the channel location'),...
    'y', types.hdmf_common.VectorData('data', [],...
        'description', 'the y coordinate of the channel location'),...
    'z', types.hdmf_common.VectorData('data', [],...
        'description', 'the z coordinate of the channel location'),...
    'imp', types.hdmf_common.VectorData('data', [],...
        'description', 'the impedance of the channel'),...
    'location', types.hdmf_common.VectorData('data', {},...
        'description', 'the location of channel within the subject e.g. brain region'),...
    'filtering', types.hdmf_common.VectorData('data', [],...
        'description', 'description of hardware filtering'),...
    'group', types.hdmf_common.VectorData('data', types.untyped.ObjectView.empty,...
        'description', 'a reference to the ElectrodeGroup this electrodes is a part of'),...
    'group_name', types.hdmf_common.VectorData('data', {},...
        'description', 'name of the ElectrodeGroup this electrode is a part of')...
);
end

